Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030021
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2015-05-26 18:482015-05-28 01:10
ReportervmromanosView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revisioned79488b19b5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030021: Requisition To Order does not take into account several secondary UOMs

DescriptionIf you have a product with several UOMs, and you create a requisition with several lines for the same product, but each one for a different secondary UOM, the system wrongly creates a unique purchase order line adding the order quantity without taking into account the UOM.
Steps To Reproduce1. Access as System Administrator and display:
  - "UOM" tab in Product window
  - "Conversion" tab in Unit of Measure window
  - "Order Quantity" and "Order UOM" fields in Purchase Order Line window
2. Logout and login
3. Create new Product with Unit= unit. Define Price for Bebidas Alegres pricelist.
4. Define UOM as "Ounce"
5. Navigate to Unit of Measure window and define conversion from Ounce to Unit and multiplied by 5
6. Go back to your product and define a new UOM as "Kilogram"
7. Navigate to Unit of Measure window and define conversion from Kilogram to Unit and multiplied by 1.5
8. Create new Requisition document for Bebidas Alegres. Add line and select your product. Set Order UOM= Ounce and Order Quantity= 1
9. Add a new line for the same product. This time set order UOM = Kilogram and Order Quantity = 2
10. Complete the requisition
11. Access Requisition to Order window, choose previous lines and create order
12. Access Purchase Order just created and verify that the process has created just one line, adding the order quantity (1+2=3) without taking into account the UOM.
Instead, the process should have been created 2 lines (one per secondary UOM found)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00287753.0PR15Q2 closedreinaldoguerra "Order quantity" incorrectly set in Purchase Order Line when several requisition line are referenced 

-  Notes
(0077788)
vmromanos (developer)
2015-05-27 09:46

Test plan:

1. Access as System Administrator and display:
  - "UOM" tab in Product window
  - "Conversion" tab in Unit of Measure window
  - "Order Quantity" and "Order UOM" fields in Purchase Order Line window
2. Logout and login
3. Create new Product with Unit= unit. Define Price for Bebidas Alegres pricelist.
4. Define UOM as "Ounce"
5. Navigate to Unit of Measure window and define conversion from Ounce to Unit and multiplied by 5
6. Go back to your product and define a new UOM as "Kilogram"
7. Navigate to Unit of Measure window and define conversion from Kilogram to Unit and multiplied by 1.5
8. Create new Requisition document for Bebidas Alegres. Add line and select your product. Set Order UOM= Ounce and Order Quantity= 1
9. Add a new line for the same product. This time set order UOM = Kilogram and Order Quantity = 2
10. Complete the requisition
11. Access Requisition to Order window, choose previous lines and create order
12. Access Purchase Order just created and verify that the process has created 2 lines (one per secondary UOM found)
(0077794)
hgbot (developer)
2015-05-27 10:36

Repository: erp/devel/pi
Changeset: ed79488b19b5265ac890fd7f681e4356e1a1038f
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed May 27 09:44:35 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ed79488b19b5265ac890fd7f681e4356e1a1038f [^]

Fixed bug 30021: Requisition To Order with several secondary UOMs per product

The system was grouping requisition lines by product without taking into account the secondary UOM.
Now the code takes into account the M_Product_UOM_Id column too to group/split the purchase order line.

---
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder.java
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder_data.xsql
---
(0077799)
aferraz (developer)
2015-05-27 10:37

Code review + Testing OK
(0077842)
hudsonbot (developer)
2015-05-28 01:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae25da3bd47f [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-26 18:48 vmromanos New Issue
2015-05-26 18:48 vmromanos Assigned To => vmromanos
2015-05-26 18:48 vmromanos Modules => Core
2015-05-26 18:48 vmromanos Triggers an Emergency Pack => No
2015-05-26 18:48 vmromanos Relationship added related to 0028775
2015-05-26 18:49 vmromanos Status new => scheduled
2015-05-27 09:46 vmromanos Note Added: 0077788
2015-05-27 10:36 hgbot Checkin
2015-05-27 10:36 hgbot Note Added: 0077794
2015-05-27 10:36 hgbot Status scheduled => resolved
2015-05-27 10:36 hgbot Resolution open => fixed
2015-05-27 10:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ed79488b19b5265ac890fd7f681e4356e1a1038f [^]
2015-05-27 10:37 aferraz Review Assigned To => aferraz
2015-05-27 10:37 aferraz Note Added: 0077799
2015-05-27 10:37 aferraz Status resolved => closed
2015-05-27 10:37 aferraz Fixed in Version => 3.0PR15Q3
2015-05-28 01:10 hudsonbot Checkin
2015-05-28 01:10 hudsonbot Note Added: 0077842


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker